# $Revision: 1.43.2.3 $, $Date: 2003/03/13 00:56:46 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SSLeay
Summary:	Crypt::SSLeay - OpenSSL glue that provides LWP https support
Summary(pl):	Crypt::SSLeay - obsuga https dla LWP przez poczenie z OpenSSL
Name:		perl-Crypt-SSLeay
Version:	0.49
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This perl module provides support for the https protocol under LWP,
so that a LWP::UserAgent can make https GET & HEAD & POST requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work.

%description -l pl
Ten modu Perla dostarcza obsug protokou https dla LWP, dziki
czemu LWP::UserAgent moe wykonywa zapytania GET i POST po https.

Pakiet Crypt::SSLeay zawiera modu Net::SSL, automatycznie adowany
przez LWP::Protocol::https w przypadku zapyta https, oraz dostarcza
niezbdnych do jego dziaania skadnikw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
yes "" | perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_sitearch}/Crypt/SSLeay.pm
%{perl_sitearch}/Crypt/SSLeay
%{perl_sitearch}/Net/SSL.pm
%dir %{perl_sitearch}/auto/Crypt/SSLeay
%{perl_sitearch}/auto/Crypt/SSLeay/SSLeay.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/SSLeay/SSLeay.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Crypt-SSLeay.spec,v $
Revision 1.43.2.3  2003/03/13 00:56:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.43.2.2  2003/03/12 22:35:53  ankry
- BR: openssl-devel >= 0.9.6i

Revision 1.43.2.1  2003/02/28 14:08:13  ankry
- do not require openssl 0.9.7

Revision 1.43  2003/02/18 15:29:46  ankry
- massive attack: change CPAN URLs

Revision 1.42  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.41  2003/02/05 16:17:49  ankry
- autoupdated to 0.49

Revision 1.40  2002/08/12 11:30:09  radek
- translations, cleaning
- release 3

Revision 1.39  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.38  2002/08/07 04:57:45  kloczek
- updated to 0.45,
- added performing post build tests.

Revision 1.37  2002/07/16 21:22:06  kloczek
- updated to 0.41.

Revision 1.36  2002/07/16 13:55:00  ankry
- reverted accidental pl description modification

Revision 1.35  2002/07/16 11:32:21  ankry
- translations, cleaning
- release 2

Revision 1.34  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.33  2002/07/11 07:58:15  depesz
- new version; should work; STBR

Revision 1.32  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.31  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.29  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.27  2002/02/10 15:25:06  depesz
adapterized

Revision 1.26  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/27 16:29:10  mis
- autoupdated to 0.35

Revision 1.24  2001/10/01 09:45:16  mis
- autoupdated to 0.31

Revision 1.23  2001/07/10 14:10:15  mis
- autoupdated to 0.29

Revision 1.22  2001/06/15 10:49:17  mis
- autoupdated to 0.27

Revision 1.21  2001/05/09 00:15:56  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.20  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/04/17 12:07:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/04/12 12:42:11  mis
- autoupdated to 0.25

Revision 1.16  2001/03/12 22:28:53  kloczek
- updated to 0.23.

Revision 1.15  2001/02/02 04:17:04  kloczek
- updated to 0.22.

Revision 1.14  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/30 05:41:36  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.12  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.11  2000/12/07 18:04:57  kloczek
- removed Vendor, Distribution fields,
- added using new rpm automation,
- do not include .packlist file in %%files.

Revision 1.10  2000/10/11 06:30:12  depesz
najnowsze wersje.
